Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590024 - Review Request: urbi-sdk - Robotics development platform
Summary: Review Request: urbi-sdk - Robotics development platform
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-05-07 14:31 UTC by Thomas Moulard
Modified: 2012-06-29 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 22:16:46 UTC


Attachments (Terms of Use)

Description Thomas Moulard 2010-05-07 14:31:12 UTC
Spec URL: http://homepages.laas.fr/~tmoulard/fedora/urbi-sdk.spec
SRPM URL: http://homepages.laas.fr/~tmoulard/fedora/urbi-sdk-2.0.2-1.fc12.src.rpm

Description:
Urbi is an innovative, simple to use, yet powerful
universal software platform for robotics. It includes a C++
distributed component architecture, a parallel and event-driven script
language for orchestration, and many modules and interfaces to other
platforms or components

Comment 1 Thomas Moulard 2010-05-07 14:47:56 UTC
The only serious problem detected by rpmlint is that shared libraries are named lib<LIBRARY>.so without any versioning.

$ rpmlint ~/rpmbuild/RPMS/i686/urbi-sdk-2.0.2-1.fc12.i686.rpm                                                      64 16:43:17
urbi-sdk.i686: E: invalid-soname /usr/lib/libsched.so libsched.so
urbi-sdk.i686: W: shared-lib-calls-exit /usr/lib/libsched.so exit@GLIBC_2.0
urbi-sdk.i686: W: executable-stack /usr/lib/libsched.so
urbi-sdk.i686: E: invalid-soname /usr/lib/libjpeg4urbi.so libjpeg4urbi.so
urbi-sdk.i686: W: shared-lib-calls-exit /usr/lib/libjpeg4urbi.so exit@GLIBC_2.0
urbi-sdk.i686: E: invalid-soname /usr/lib/liburbi.so liburbi.so
urbi-sdk.i686: W: shared-lib-calls-exit /usr/lib/liburbi.so exit@GLIBC_2.0
urbi-sdk.i686: E: invalid-soname /usr/lib/libport.so libport.so
urbi-sdk.i686: W: shared-lib-calls-exit /usr/lib/libport.so exit@GLIBC_2.0
urbi-sdk.i686: E: invalid-soname /usr/lib/libserialize.so libserialize.so

$ rpmlint ~/rpmbuild/RPMS/i686/urbi-sdk-devel-2.0.2-1.fc12.i686.rpm                                                64 16:43:53
urbi-sdk-devel.i686: W: no-documentation

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2172508

Comment 2 Thomas Moulard 2010-05-07 15:18:19 UTC
New Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2172545

I have updated the spec file. One build requirement was missing.

Comment 3 Jason Tibbitts 2010-11-23 04:34:18 UTC
Build fails for me:

In file included from ./include/libport/intrusive-ptr.hh:180:0,
                 from ./include/libport/deref.hh:22,
                 from lib/libport/deref.cc:16:
./include/libport/intrusive-ptr.hxx: In member function 'void libport::intrusive_ptr<T>::serialize(Archive&, unsigned int)':
./include/libport/intrusive-ptr.hxx:241:5: error: 'split_member' is not a member of 'boost::serialization'
make[5]: *** [lib/libport/lib_libport_libport_la-deref.lo] Error 1
make[5]: *** Waiting for unfinished jobs....
In file included from ./include/libport/intrusive-ptr.hh:180:0,
                 from ./include/libport/destructible.hh:14,
                 from ./include/libport/asio.hh:44,
                 from lib/libport/asio.cc:15:
./include/libport/intrusive-ptr.hxx: In member function 'void libport::intrusive_ptr<T>::serialize(Archive&, unsigned int)':
./include/libport/intrusive-ptr.hxx:241:5: error: 'split_member' is not a member of 'boost::serialization'
make[5]: *** [lib/libport/lib_libport_libport_la-asio.lo] Error 1

A koji scratch build is at http://koji.fedoraproject.org/koji/taskinfo?taskID=2617977

The "executable-stack" rpmlint complaint above, by the way, is actually quite problematic as it will prevent the software from running with selinux enabled.

Finally, without any way for a reviewer to download the source, I really doubt anyone will review this.  You need to at least provide directions for obtaining it, although I still don't think most potential reviewers would be willing to register somewhere.


Note You need to log in before you can comment on or make changes to this bug.